cutlass::epilogue::threadblock::InterleavedPredicatedTileIterator< ThreadMap_, Element_, InterleavedK >::Params Struct Reference

`#include <predicated_tile_iterator.h>`

## Public Member Functions

CUTLASS_HOST_DEVICE Status | initialize (Index stride_)
CUTLASS_HOST_DEVICE | Params ()
CUTLASS_HOST_DEVICE | Params (Layout const &layout)

## Public Attributes

Index | stride
| stride in bytes between columns More...
Index | advance_row
| amount to add to move to the next 'row' position More...
Index | advance_column
| amount to add to move to the next 'column' position More...

## Constructor & Destructor Documentation

template<typename ThreadMap_ , typename Element_ , int InterleavedK>

CUTLASS_HOST_DEVICE cutlass::epilogue::threadblock::InterleavedPredicatedTileIterator< ThreadMap_, Element_, InterleavedK >::Params::Params | ( |  | ) |

inline

template<typename ThreadMap_ , typename Element_ , int InterleavedK>

CUTLASS_HOST_DEVICE cutlass::epilogue::threadblock::InterleavedPredicatedTileIterator< ThreadMap_, Element_, InterleavedK >::Params::Params | ( | Layout const & | layout | ) |

inline

## Member Function Documentation

template<typename ThreadMap_ , typename Element_ , int InterleavedK>

CUTLASS_HOST_DEVICE Status cutlass::epilogue::threadblock::InterleavedPredicatedTileIterator< ThreadMap_, Element_, InterleavedK >::Params::initialize | ( | Index | stride_ | ) |

inline

## Member Data Documentation

template<typename ThreadMap_ , typename Element_ , int InterleavedK>

Index cutlass::epilogue::threadblock::InterleavedPredicatedTileIterator< ThreadMap_, Element_, InterleavedK >::Params::advance_column

template<typename ThreadMap_ , typename Element_ , int InterleavedK>

Index cutlass::epilogue::threadblock::InterleavedPredicatedTileIterator< ThreadMap_, Element_, InterleavedK >::Params::advance_row

template<typename ThreadMap_ , typename Element_ , int InterleavedK>

Index cutlass::epilogue::threadblock::InterleavedPredicatedTileIterator< ThreadMap_, Element_, InterleavedK >::Params::stride

The documentation for this struct was generated from the following file:

- epilogue/threadblock/predicated_tile_iterator.h